csv

## Class CsvFileWriter

- java.lang.Object
- - csv.CsvFileWriter

All Implemented Interfaces:
  ScheduledItem

    public class CsvFileWriter
    extends java.lang.Object
    implements ScheduledItem

The Class CsvFileWriter.

### Constructor Summary

Constructors
Constructor and Description
`CsvFileWriter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initHeaderCSV()` Inits the header CSV.
`void` `setWorld(World world)` Sets the world.
`void` `update()` Update.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CsvFileWriter

    public CsvFileWriter()

### Method Detail

#### setWorld

    public void setWorld(World world)

Sets the world.

Parameters:
  `world` - the new world

#### initHeaderCSV

    public void initHeaderCSV()

Inits the header CSV.

#### update

    public void update()

Description copied from interface: `ScheduledItem`
Update.

Specified by:
  `update` in interface `ScheduledItem`